summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/taler-deployment-sign6
1 files changed, 5 insertions, 1 deletions
diff --git a/bin/taler-deployment-sign b/bin/taler-deployment-sign
index 26159a9..0f86943 100755
--- a/bin/taler-deployment-sign
+++ b/bin/taler-deployment-sign
@@ -21,4 +21,8 @@ fi
taler-exchange-wire
WIRE_RESPONSE=$(taler-config -s account-1 -o wire_response -f)
-chmod 770 $WIRE_RESPONSE
+
+# If chmod is not possible (= the owner is the other color), then
+# the permissions are already right on it, hence we can tolerate to
+# not set those.
+chmod 770 $WIRE_RESPONSE || true